%%%%%%%%%%%%%%%%%%%%%%%%%%%
% JEDNFAZNI ASINHRONI MOTOR
%%%%%%%%%%%%%%%%%%%%%%%%%%%
% program crta momente koje razvijaju glavna faza m i pomocna faza a u
% koju se ukljuljuje kondenzator.
%jednacine su izvedene po knjizi HANDBOOK OF SMALL ELECTRIC MOTORS, YEADON,
%str. 6.32-6.37
% u drugom delu programa se poziva program kruznidijagram.m koji crta
% kruzne dijagrame rezultujuce direktne i inverzne komponente struje, kao i
% ukupnu struju koju jednofazni asinhroni motor uzima iz mreze.

% za izabranu vrednost nominalnog klizanja snom izracunate su i prikazane
% komponente struje
clear
syms s Pf Pb mf mb omega n Zf Zb Ifm Ibm im ia
parametri;  
ns=60*f./p;

figure(1)
hold off
%Racunanje direktnog momenta u f-ji klizanja
racun
figure(1)
ezplot(mf,[0,s_isklj]); 
setprave('color',[0 0 1],'linestyle',':','LineWidth',2); 
hold on;     
grid on;     
ezplot(mb,[0,s_isklj]);     
setprave('color',[1 0 0],'linestyle',':','LineWidth',2); 
ezplot(mf+mb,[0,s_isklj]);     
setprave('color',[0 1 0],'LineWidth',3); 
axis auto;   

im=ifm+ibm;
ia=1i.*ifm-1i.*ibm;
iu=im+ia;

figure(4)
hold off

crtstruje
hold on

switch slucaj
  case 1
    %Xc=Xczal;
    racun
    figure(1)
    crtmomente
    figure(4)
    crtstruje
case 2
    %Xc=Xczal;
    racun
    figure(1)
    crtmomente
    figure(4)
    crtstruje
case 3
    %Xc=Xczal;
    racun
    figure(1)
    crtmomente
    figure(4)
    crtstruje
 case 4    
    Xc=Xczal;
    racun
    figure(1)
    crtmomente
    im=ifm+ibm;
    ia=1i.*ifm-1i.*ibm;
    iu=im+ia;
    figure(4)
    crtstruje     
end
grid on;
title('kruzni dijagram struja');
xlabel('Re I');
ylabel('Im I');
grid on
axis auto










